Package org.apache.sling.commons.compiler

## Interface CompilationUnitWithSource

All Superinterfaces:
  `CompilationUnit`

    @ConsumerType
    public interface CompilationUnitWithSource
    extends CompilationUnit

Extension of the CompilationUnit interface which allows for the explicit declaration of the source file name.

Since:
  2.1

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getFileName()`

### Methods inherited from interface org.apache.sling.commons.compiler.CompilationUnit

`getLastModified, getMainClassName, getSource`

### Method Detail

#### getFileName

    String getFileName()